American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
StatisticsGathererPath< T > Class Template Reference

Collects paths of objects of interest. More...

`#include <path.h>`

Inheritance diagram for StatisticsGathererPath< T >:

List of all members.

## Public Member Functions
virtual void | dump_result (const size_t t, const size_t k, const T &object)
size_t | node (const size_t t) const
| operator StatisticsGathererInitial< T > () const
| operator T () const
T & | operator[] (const size_t t)
T | operator[] (const size_t t) const
size_t | size () const
| StatisticsGathererPath (const std::vector< size_t > &path)

## Detailed Description

### template<class T>
class StatisticsGathererPath< T >

Collects paths of objects of interest.

## Constructor & Destructor Documentation

template<class T>

StatisticsGathererPath< T >::StatisticsGathererPath | ( | const std::vector< size_t > & | path | ) | `[inline]`

Constructor.

Parameters:

  path | Information is gathered for this sequence of nodes. The element path[t] is a node at the -th time step.

## Member Function Documentation

template<class T>

virtual void StatisticsGathererPath< T >::dump_result | ( | const size_t | t,
|  | const size_t | k,
|  | const T & | object
| ) |  | `[inline, virtual]`

Collects intance of object T at time t at node k.

Reimplemented from StatisticsGatherer< T >.

template<class T>

size_t StatisticsGathererPath< T >::node | ( | const size_t | t | ) | const`[inline]`

Node at time step t.

template<class T>

StatisticsGathererPath< T >::operator StatisticsGathererInitial< T > | ( |  | ) | const`[inline]`

template<class T>

StatisticsGathererPath< T >::operator T | ( |  | ) | const`[inline]`

template<class T>

T StatisticsGathererPath< T >::operator[] | ( | const size_t | t | ) | const`[inline]`

template<class T>

T& StatisticsGathererPath< T >::operator[] | ( | const size_t | t | ) | `[inline]`

template<class T>

size_t StatisticsGathererPath< T >::size | ( |  | ) | const`[inline]`

Number of steps.

The documentation for this class was generated from the following file:

- statisticsgatherer/path.h

All Classes Namespaces Files Functions Variables Typedefs Defines